Ring Doorbell Video not updating

Greetings.

New to Home Assistant. I think I am having some issues with the RING integration. I have it configured correctly, at least i think it is, in the config files. I am able to see the sensor data at the top of the the main home screen. I am able to see a picture from the camera but it never gets updated. I am not sure what to expect from the Ring integration. What am I supposed to see? Am I supposed to get realtime snapshots every few minutes? When I do see a picture and I click on it, I get a really jumpy video playback that is very old. Probably triggered from a motion.

I have a bunch of errors in my logs that i believe are related to RING. See below. Can someone let me know what I should be seeing so I know what I am not getting.

core-ssh:/config# cat home-assistant.log
2018-01-23 10:34:51 WARNING (MainThread) [homeassistant.components.sensor] Setup of platform ring is taking over 10 seconds.
2018-01-23 10:35:20 WARNING (MainThread) [homeassistant.components.sensor] Setup of platform yr is taking over 10 seconds.
2018-01-23 10:35:20 WARNING (MainThread) [homeassistant.components.camera] Setup of platform ring is taking over 10 seconds.
2018-01-23 10:35:20 WARNING (MainThread) [homeassistant.components.sensor.yr] Retrying in 15 minutes:
2018-01-23 10:37:21 WARNING (MainThread) [haffmpeg.core] FFmpeg isn’t running!
2018-01-23 10:39:58 ERROR (SyncWorker_2) [ring_doorbell] Error!! HTTPSConnectionPool(host=‘api.ring.com’, port=443): Max retries exceeded with url: /clients_api/doorbots/1440098/health?api_version=9&auth_token=NQ5RBhkQpwk7kf4HGzUF&limit=5 (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x73862210>: Failed to establish a new connection: [Errno 101] Network unreachable’,))
2018-01-23 10:39:58 ERROR (MainThread) [homeassistant.helpers.entity] Update for camera.front_door fails
Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/usr/lib/python3.6/site-packages/urllib3/util/connection.py”, line 83, in create_connection
raise err
File “/usr/lib/python3.6/site-packages/urllib3/util/connection.py”, line 73, in create_connection
sock.connect(sa)
OSError: [Errno 101] Network unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 601, in urlopen
chunked=chunked)
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 346, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 850, in _validate_conn
conn.connect()
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 284, in connect
conn = self._new_conn()
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x73862210>: Failed to establish a new connection: [Errno 101] Network unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3.6/site-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘api.ring.com’, port=443): Max retries exceeded with url: /clients_api/doorbots/1440098/health?api_version=9&auth_token=NQ5RBhkQpwk7kf4HGzUF&limit=5 (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x73862210>: Failed to establish a new connection: [Errno 101] Network unreachable’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/homeassistant/helpers/entity.py”, line 199, in async_update_ha_state
yield from self.async_device_update()
File “/usr/lib/python3.6/site-packages/homeassistant/helpers/entity.py”, line 306, in async_device_update
yield from self.hass.async_add_job(self.update)
File “/usr/lib/python3.6/asyncio/futures.py”, line 332, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.6/asyncio/tasks.py”, line 250, in _wakeup
future.result()
File “/usr/lib/python3.6/asyncio/futures.py”, line 245, in result
raise self._exception
File “/usr/lib/python3.6/concurrent/futures/thread.py”, line 56, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/lib/python3.6/site-packages/homeassistant/components/camera/ring.py”, line 154, in update
self._camera.update()
File “/usr/lib/python3.6/site-packages/ring_doorbell/generic.py”, line 45, in update
self._get_health_attrs()
File “/usr/lib/python3.6/site-packages/ring_doorbell/generic.py”, line 92, in _get_health_attrs
self._health_attrs = self._ring.query(url).get(‘device_health’)
File “/usr/lib/python3.6/site-packages/ring_doorbell/init.py”, line 172, in query
req = self.session.get((url), params=urlencode(params))
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 521, in get
return self.request(‘GET’, url, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 508, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 618, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘api.ring.com’, port=443): Max retries exceeded with url: /clients_api/doorbots/1440098/health?api_version=9&auth_token=NQ5RBhkQpwk7kf4HGzUF&limit=5 (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x73862210>: Failed to establish a new connection: [Errno 101] Network unreachable’,))
2018-01-23 10:42:02 WARNING (MainThread) [haffmpeg.core] FFmpeg isn’t running!
core-ssh:/config#

Another update, As i was typing the above message, i got a motion detention on my phone in the Ring App. It seems the sensor data is not updating as well.

I’m having somewhat the same problem. Camera image doesn’t seem to be updating. Going to explore further. Will post back if I resolve.